Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.SnapPointMgr Class Reference
Inheritance diagram for FoxitPDFSDKPython3.SnapPointMgr:

## Public Member Functions
def | SnapPointMgr (other)
| Constructor, with another snap point manager object. More...
def | SnapPointMgr (page)
| Constructor, from a parsed PDF page object. More...
def | GetSnappedPointAtPos (position, flags)
| Get the snapped point information at/around a specified position in [PDF coordinate system] (). More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | Reload ()
| Reload current manager. More...

## Static Public Attributes
| e_FlagEndpoint = _fsdk.SnapPointMgr_e_FlagEndpoint
| If set, that means to get the endpoint of a path.
| e_FlagIntersectionPoint = _fsdk.SnapPointMgr_e_FlagIntersectionPoint
| If set, that means to get the intersection of two intersecting paths.
| e_FlagMidpoint = _fsdk.SnapPointMgr_e_FlagMidpoint
| If set, that means to get the midpoint for two endpoints of a path.
| e_FlagNearestPoint = _fsdk.SnapPointMgr_e_FlagNearestPoint
| If set, that means to get the nearest point (which is in a path) to the specified point.

## Detailed Description

This class represents a manager for snapping point. This class can be used to snap point in a path with specified snapping flags.

## Constructor & Destructor Documentation

## ◆ SnapPointMgr() [1/2]

def FoxitPDFSDKPython3.SnapPointMgr.SnapPointMgr | ( |  | page | ) |

Constructor, from a parsed PDF page object.

Parameters

  [in] | page | A valid PDF page object. This page should has been parsed.

## ◆ SnapPointMgr() [2/2]

def FoxitPDFSDKPython3.SnapPointMgr.SnapPointMgr | ( |  | other | ) |

Constructor, with another snap point manager object.

Parameters

  [in] | other | Another snap point manager object.

## Member Function Documentation

## ◆ GetSnappedPointAtPos()

def FoxitPDFSDKPython3.SnapPointMgr.GetSnappedPointAtPos | ( |  | position,
|  |  | flags
| ) |  |

Get the snapped point information at/around a specified position in [PDF coordinate system] ().

Parameters

  [in] | position | A specified position, in [PDF coordinate system] ().
  [in] | flags | Flags for snapping point. Please refer to values starting from FoxitPDFSDKPython3.SnapPointMgr.e_FlagEndpoint and this should be one or a combination of these values.

Returns
  Information for a snapped point. If the return value of function FoxitPDFSDKPython3.SnappedPoint.IsEmpty for the returned snapped point object is true, that means no suitable point can be snapped.

## ◆ IsEmpty()

def FoxitPDFSDKPython3.SnapPointMgr.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ Reload()

def FoxitPDFSDKPython3.SnapPointMgr.Reload | ( |  | ) |

Reload current manager.

This function should be called after any path in related PDF page has been modified.

Returns
  None.